package net.knarcraft.ffmpegconverter.streams;

import org.jetbrains.annotations.NotNull;

import java.util.Map;

/**
 * A stream type for attached streams that aren't audio, video or subtitles
 */
public class OtherStream extends AbstractStream {

    private final boolean isCoverImage;

    /**
     * Instantiates a new other stream
     *
     * @param streamInfo   <p>All info about the stream</p>
     * @param inputIndex   <p>The index of the input file this stream belongs to</p>
     * @param isCoverImage <p>Whether this stream is a cover image stream</p>
     */
    public OtherStream(@NotNull Map<StreamTag, String> streamInfo, int inputIndex, boolean isCoverImage) {
        super(streamInfo, inputIndex, 0);
        this.isCoverImage = isCoverImage;
    }

    /**
     * Gets whether this stream is a cover image stream
     *
     * @return <p>True if this stream is a cover image stream</p>
     */
    public boolean isCoverImage() {
        return isCoverImage;
    }

    @Override
    public char streamTypeCharacter() {
        return '?';
    }

}
